Subject: [icnrg] FW: [irsg] Tags changed for draft-irtf-icnrg-challenges

From: Dirk Kutscher <[email-masked]>
Date: Tue, 8 Mar 2016 17:05:36 +0000

Hi,

we got some additional comments on the challenges draft - see below (thanks, Russ).

My view on these comments is as follows (others, please share your view):

Regarding "secret key": yes, indeed - that should be fixed.

Regarding versions: We wanted to mention the general challenge in ICN (and immutable name/data bindings). For the discussion here, we thought that would imply "newer and older versions", so did not want to mention that explicitly to keep the level of detail balanced - let us know if you think that is critical to mention.

Regarding access control delegation: Yes, currency and consistency of access control lists could be a problem. In the referenced paper, I think the assumption is to have a single access control instance.  Perhaps we can be more specific here.

Regarding revocation, yes, that's a problem. It's described to some extent in the referenced paper (https://www.ietf.org/mail-archive/web/icnrg/current/pdf9_JIQ5GBeS.pdf). We could perhaps mention this explicitly, as a third challenge, in the draft. And yes, that's a general problem for ICN with a PKI-like service.

Regarding RFC 7696, yes, it applies of course, but since we are not really formulating implementation requirements here, we did not reference it.

Regarding the privacy question, I would generalize that in saying that there is a general tradeoff between enabling "useful network services" (by leveraging some visibility of names or other request properties) and privacy risks (for example by allowing for correlation of requests to user identity, location etc.).  The key privacy protection challenge is associated to name visibility, which we described in section 4.1.  We can discuss to what extent we want to explicitly describe the correlation options. We are planning to discuss this in more detail in a dedicated draft in ICNRG.

Cheers,
Dirk

From: irsg [mailto:[email-masked]] On Behalf Of Russ Housley
Sent: Montag, 7. März 2016 01:44
To: Lars Eggert; Börje Ohlman
Cc: Internet Research Steering Group
Subject: Re: [irsg] Tags changed for draft-irtf-icnrg-challenges

As requested, I read the document.  I have a few comments.

When the document uses "secret key", it ought to use "private key".  This makes it clear that public/private key pairs are being used.

When talking about named versions, the document says: "and a way for requestors to learn about versions".  I think it is important to be able to learn about newer and older versions.  Sometimes it is important to be able to see the differences over time.

When talking about access-control-delegation, there are additional challenges associated with ensuring availability.  If the access list is available form many places, it creates a synchronization problem when the list is updated.

When talking about using encryption to implement access control, there is an additional concern.  Once the key is obtained, how can the publisher revoke future access?  Maybe this concern applies to other mechanisms too.

When talking about cryptographic robustness, I think RFC 7696 applies here too.

Does the combination of mobility and wireless access create an additional privacy research topic?  Does tracking which documents are accessed from various locations lead to a new type of traffic analysis?

Russ

On Mar 4, 2016, at 2:58 AM, Eggert, Lars wrote:

IRSG, please review and ballot.

On 2016-02-24, at 10:25, Börje Ohlman <[email-masked]<mailto:[email-masked]>> wrote:

I hereby initiate the IRSG poll for this document.

Börje

Begin forwarded message:

From: IETF Secretariat <[email-masked]<mailto:[email-masked]>>
Subject: Tags changed for draft-irtf-icnrg-challenges
Date: 24 februari 2016 10:17:41 CET
To: <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>

The tags on draft-irtf-icnrg-challenges have been changed by Borje
Ohlman:
https://datatracker.ietf.org/doc/draft-irtf-icnrg-challenges/

Tag "AD Followup" cleared.

Comment:
The document have been updated after a first IRSG review and been
subjected to a new RG last call which did not result in  any comments.
So we now believe the document is ready for the IRSG poll.